%{?nodejs_find_provides_and_requires}
%global packagename levn
%global bootstrap 1
%global enable_tests 0
Name:		nodejs-levn
Version:	0.3.0
Release:	1
Summary:	Light ECMAScript Value Notation - human written, concise, typed
License:	MIT
URL:		https://github.com/gkz/levn
Source0:	https://github.com/gkz/levn/archive/%{version}.tar.gz
Source1:	https://raw.githubusercontent.com/gkz/levn/%{version}/package.json.ls
BuildArch:	noarch
ExclusiveArch:  %{nodejs_arches} noarch
BuildRequires:  nodejs-packaging npm(prelude-ls) npm(type-check)
%if 0%{?enable_tests}
BuildRequires:  mocha
%endif
%if !0%{?bootstrap}
BuildRequires:  npm(LiveScript)
%endif
%description
Light ECMAScript (JavaScript) Value Notation - human written, concise, typed,
flexible

%prep
%autosetup -n levn-%{version}
cp -p %{SOURCE1} .

%build
%if !0%{?bootstrap}
%{_bindir}/echo -e "\e[102m -=#=- Building from source -=#=- \e[0m"
rm -rf ./lib/
mkdir ./lib/
%{_bindir}/lsc --compile package.json.ls
%{_bindir}/lsc --output lib --bare --compile src/*.ls
rm -rf ./node_modules/
%endif

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/levn
cp -pr package.json lib/ \
	%{buildroot}%{nodejs_sitelib}/levn
%nodejs_symlink_deps

%check
%nodejs_symlink_deps --check
%{__nodejs} -e 'require("./")'
%if 0%{?enable_tests}
%{_bindir}/mocha -R dot --ui tdd --compilers ls:livescript
%else
%{_bindir}/echo -e "\e[101m -=#=- Tests disabled -=#=- \e[0m"
%endif

%files
%{!?_licensedir:%global license %doc}
%doc *.md
%license LICENSE
%{nodejs_sitelib}/levn

%changelog
* Thu Aug 20 2020 yaokai <yaokai13@huawei.com> - 0.3.0-1
- Package init
